diff --git a/src_c/display.c b/src_c/display.c
index ed0b7c7ddb..97c644e0a2 100644
--- a/src_c/display.c
+++ b/src_c/display.c
@@ -367,7 +367,6 @@ pg_vidinfo_str(PyObject *self)
         info->vfmt->Gloss, info->vfmt->Bloss, info->vfmt->Aloss, current_w,
         current_h, trimmed_format_name);
 
-        free(trimmed_format_name);
 }
 
 static PyTypeObject pgVidInfo_Type = {
